Create Resident: Propertyware REST
https://api.propexo.com/v1/residents/propertyware_rest/| Method | Interface |
|---|---|
| POST /v1/contacts | Contacts |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string
United StatesCanada - string
The Propexo unique identifier for the integration
The first name associated with the resident
Possible values: <= 30 characters
The last name associated with the resident
Possible values: <= 30 characters
The first address line associated with the resident
The country associated with the resident
Show 2 variants
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The middle name associated with the resident
Possible values: <= 30 characters
The primary email address associated with the resident
The secondary email address associated with the resident
The date of birth associated with the resident
The second address line associated with the resident
Primary phone number associated with the resident
Secondary phone number associated with the resident
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKType of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKNotes associated with the resident
Response
Successful response
- string
United StatesCanada - string
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The first name associated with the resident
Possible values: <= 30 characters
The last name associated with the resident
Possible values: <= 30 characters
The first address line associated with the resident
The country associated with the resident
Show 2 variants
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The middle name associated with the resident
Possible values: <= 30 characters
The primary email address associated with the resident
The secondary email address associated with the resident
The date of birth associated with the resident
The second address line associated with the resident
Primary phone number associated with the resident
Secondary phone number associated with the resident
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKType of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKNotes associated with the resident
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/residents/propertyware_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"country": "United States",
"city": "string",
"state": "string",
"zip": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"country": "United States",
"city": "string",
"state": "string",
"zip": "string",
"middle_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_2": "string",
"phone_1": "string",
"phone_2": "string",
"phone_1_type": "FAX",
"phone_2_type": "FAX",
"notes": "string"
}
}